Skip to main content
POST
Get retrieval file upload URL

Authorizations

Authorization
string
header
required

API key authentication. Use format: Authorization: Bearer tavrn_sk_live_...

Body

application/json
file_name
string
required
Required string length: 1 - 500
file_type
string
required
Required string length: 1 - 200
Example:

"application/pdf"

Response

Presigned URL generated

upload_id
string<uuid>
required

Temporary upload identifier for this upload flow. Use within one hour.

Example:

"11111111-1111-4111-8111-111111111111"

upload_url
string
required

Presigned PUT URL. Upload bytes within 15 minutes using the same Content-Type.

Example:

"https://upload-url.example.com/..."

expires_at
string<date-time>
required

Upload identifier expiry, one hour after signing. The PUT URL expires after 15 minutes.

Example:

"2025-02-01T13:34:56Z"